<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::rule('menu', 'admin/Menu/list');

//Route::rule('menuadd', 'admin/Menu/MenuAdd');
Route::rule('menusave', 'admin/Menu/MenuEdit');
Route::rule('menudel', 'admin/Menu/MenuDel');
Route::rule('menustatus', 'admin/Menu/MenuStatus');
Route::rule("menulist","admin/Menu/MenuAllList");


Route::rule('menuaction', 'admin/Action/ActionList');
Route::rule('menuactionsave', 'admin/Action/ActionSave');
Route::rule('menuactionstatus', 'admin/Action/ActionStatus');
Route::rule('menuactionadd', 'admin/Action/ActionAdd');
Route::rule("menuactionlist","admin/Action/index");
Route::rule("menuactiondel","admin/Menu/MenuActionDel");

Route::rule("actiondata","admin/Action/DataAction");
Route::rule("actionsave","admin/Action/ActionSave");
Route::rule("actionstatus","admin/Action/ActionStatus");
Route::rule("actioninfo","admin/Action/ActionInfo");
Route::rule("actionlist","admin/Action/ActionList");


Route::rule('grouplist', 'admin/Group/GroupList');
Route::rule('groupall', 'admin/Group/GroupAll');
Route::rule('groupinfo', 'admin/Group/GroupInfo');
Route::rule('groupadd', 'admin/Group/GroupAdd');
Route::rule('groupsave', 'admin/Group/GroupSave');
Route::rule('groupstatus', 'admin/Group/GroupStatus');

Route::rule('rolelist', 'admin/Role/RoleList');
Route::rule('roleall', 'admin/Role/RoleAll');
Route::rule('roleinfo', 'admin/Role/RoleInfo');
Route::rule('roleadd', 'admin/Role/RoleAdd');
Route::rule('rolesave', 'admin/Role/RoleSave');
Route::rule('rolestatus', 'admin/Role/RoleStatus');


Route::rule('ulist','admin/Newfill/list');
Route::rule('add','admin/Newfill/add');
Route::rule('refresh',"admin/Newfill/refresh");
Route::rule('query','admin/Newfill/query');
Route::rule('itemdel','admin/Newfill/itemdel');
Route::rule('stat','admin/Newfill/stat');
Route::rule('userp','admin/Newfill/userp');
Route::rule('clist','admin/Departuser/list');
Route::rule('attend','admin/Departuser/attend');
Route::rule('useredit','admin/Departuser/useredit');
Route::rule('ifound','admin/Departuser/found');
Route::rule('iuserdel','admin/Departuser/userdel');

Route::rule('customerlist','admin/Customer/list');
Route::rule('customercreate','admin/Customer/create');
Route::rule('customerupdate','admin/Customer/updat');
Route::rule('customerselect','admin/Customer/selec');
Route::rule('customerdelect','admin/Customer/dell');
Route::rule('customerstatus','admin/Customer/status');

Route::rule('supplierlist','admin/Supplier/list');
Route::rule('suppliercreate','admin/Supplier/create');
Route::rule('supplieredit','admin/Supplier/edit');
Route::rule('supplierselec','admin/Supplier/selec');
Route::rule('supplierdelect','admin/Supplier/del');

Route::rule('resultlist','admin/Result/list');
Route::rule('resultcreate','admin/Result/create');
Route::rule('resultselect','admin/Result/selec');
Route::rule('resultedit','admin/Result/edit');
Route::rule('resultdel','admin/Result/del');
Route::rule('resultstatu','admin/Result/statu');

Route::rule('Resigninfolist','admin/Resigninfo/list');
Route::rule('Resigninfocreate','admin/Resigninfo/create');
Route::rule('Resigninfoselect','admin/Resigninfo/selec');
Route::rule('Resigninfoedit','admin/Resigninfo/edit');
Route::rule('Resigninfodel','admin/Resigninfo/del');
Route::rule('Resigninfostatu','admin/Resigninfo/statu');

Route::rule('Consultlist','admin/Consult/list');
Route::rule('Consultinfo','admin/Consult/info');
Route::rule('Consultdel','admin/Consult/del');

Route::rule('infolist','admin/Listcustomer/list');

Route::rule('salecreate','admin/Sale/create');
Route::rule('salelist','admin/Sale/list');
Route::rule('saleedit','admin/Sale/edit');
Route::rule('saleinfo','admin/Sale/info');
Route::rule('saledelect','admin/Sale/del');
Route::rule('salestatus','admin/Sale/status');
Route::rule('salefee','admin/Sale/fee');
Route::rule('saleout','admin/Sale/out');
Route::rule('salecustomer','admin/Sale/customer');
Route::rule('xsaleout','admin/Sale/saleout');
Route::rule('saleoutinfo','admin/Sale/outinfo');

Route::rule('checkflist','admin/Check/flist');
Route::rule('checklist','admin/Check/list');
Route::rule('checkgood','admin/Check/goodlist');
Route::rule('checkcreate','admin/Check/create');
Route::rule('checkinfo','admin/Check/info');
Route::rule('checkedit','admin/Check/edit');
Route::rule('checkedell','admin/Check/dell');
Route::rule('checkestatus','admin/Check/statu');
Route::rule('checkexport','admin/Check/exportGood');
Route::rule('checkimport','admin/Check/importGood');

//Route::rule('veversioncreatersionlist','admin/Version/list');
//Route::rule('','admin/Version/create');

Route::rule('allotlist','admin/Allot/list');
Route::rule('allotcreate','admin/Allot/create');
Route::rule('allotedit','admin/Allot/edit');
Route::rule('allotinfo','admin/Allot/info');
Route::rule('allotdelect','admin/Allot/del');
Route::rule('allotstatus','admin/Allot/status');
Route::rule('allotgetont','admin/Allot/getont');
Route::rule('allotgetin','admin/Allot/getin');
Route::rule('allotvesio','admin/Allot/vesio');

Route::rule('userlist', 'admin/User/list');
Route::rule('userinfo', 'admin/User/userInfo');
Route::rule('userall', 'admin/User/userAll');
Route::rule("userstatus","admin/User/UserStatus");
Route::rule("usersave","admin/User/UserSave");
Route::rule("passset","admin/User/setPwd");
Route::rule("userinfobyid","admin/User/info");

Route::rule("sharelist","admin/Share/index");
Route::rule("shareadd","admin/Share/create");
Route::rule("sharesave","admin/Share/save");
Route::rule("sharestatus","admin/Share/status");
Route::rule("sharedel","admin/Share/delete");
Route::rule("shareinfo","admin/Share/read");

Route::rule("loglist","admin/System/index");
Route::rule("versionlist","admin/System/version");
Route::rule("lastversion","admin/System/LastVersion");
Route::rule("uploadimg","admin/System/upload");
Route::rule("uploadfile","admin/System/upload_file");
Route::rule("uploadvideo","admin/System/upload_video");

Route::rule("wareadd","admin/WareHouse/add");
Route::rule("wareinfo","admin/WareHouse/info");
Route::rule("waresave","admin/WareHouse/save");
Route::rule("waredel","admin/WareHouse/delete");
Route::rule("warelist","admin/WareHouse/list");
Route::rule("warestatus","admin/WareHouse/status");
Route::rule("warequery","admin/WareHouse/select");

Route::rule("province","admin/Addr/province");
Route::rule("city","admin/Addr/city");
Route::rule("area","admin/Addr/area");

Route::rule("goodlist","admin/Good/list");
Route::rule("goodwarn","admin/Good/SetWarn");
Route::rule("goodstatus","admin/Good/SetStatus");
Route::rule("goodstat","admin/Good/Stat");
Route::rule("goodstock","admin/Good/GetStock");
Route::rule("goodall","admin/Good/all");
Route::rule("getstockgod","admin/Good/GetStockGod");
Route::rule("getstockwsm","admin/Good/GetStockWsm");
Route::rule("getstockbet","admin/Good/GetStockBet");
Route::rule("goodloglist","admin/Good/loglist");
Route::rule("goodplist","admin/Good/goodlist");

Route::rule("purchlist","admin/Resign/list");
Route::rule("purchadd","admin/Resign/add");
Route::rule("purchcopy","admin/Resign/copy");
Route::rule("purchedit","admin/Resign/edit");
Route::rule("purchdel","admin/Resign/delete");
Route::rule("purchinfo","admin/Resign/info");
Route::rule("purchstatus","admin/Resign/status");
Route::rule("feedadd","admin/Resign/addFeed");
Route::rule("feeddel","admin/Resign/delFeed");
Route::rule("feedchange","admin/Resign/changeFeed");
Route::rule("feedinfo","admin/Resign/infoFeed");

Route::rule("cgdlist","admin/Purch/list");
Route::rule("cgdinfo","admin/Purch/info");
Route::rule("cgdedit","admin/Purch/edit");
Route::rule("cgdstatus","admin/Purch/status");
Route::rule("cgddiffcreat","admin/Purch/diffcreat");
Route::rule("cgddifflist","admin/Purch/difflist");
Route::rule("cgddiffinfo","admin/Purch/diffinfo");
Route::rule("cgddiffstatu","admin/Purch/diffstatu");


Route::rule("orderinlist","admin/Purchin/list");
Route::rule("orderinadd","admin/Purchin/add");
Route::rule("orderininfo","admin/Purchin/info");
Route::rule("orderincheck","admin/Purchin/check");
Route::rule("orderinstatus","admin/Purchin/status");
Route::rule("orderinreturn","admin/Purchin/ReturnAdd");
Route::rule("returnsend","admin/Purchin/ReturnSend");
Route::rule("returnstatus","admin/Purchin/ReturnStatus");


Route::rule("processlist","admin/Process/list");
Route::rule("processinfo","admin/Process/info");
Route::rule("process","admin/Process/process");

Route::rule("expresslist","admin/Express/list");
Route::rule("expressuse","admin/Express/SetUse");
Route::rule("express","admin/Express/GetExpress");

Route::rule('catlist','admin/Cat/list');
Route::rule('catplist','admin/Cat/plist');
Route::rule('catcreate','admin/Cat/create');
Route::rule('catedit','admin/Cat/edit');
Route::rule('catinfo','admin/Cat/info');
Route::rule('catstatus','admin/Cat/status');
Route::rule('cattitle','admin/Cat/title');
Route::rule('delete','admin/Cat/delete');
Route::rule('cattlist','admin/Cat/tlist');
Route::rule('catratedit','admin/Cat/ratedit');
Route::rule('catwlist',"admin/Cat/wlist");


Route::rule('backcreate','admin/Purchback/create');
Route::rule('backlist','admin/Purchback/list');
Route::rule('backstatus','admin/Purchback/status');
Route::rule('backfe','admin/Purchback/backfe');
Route::rule('backinfo','admin/Purchback/info');
Route::rule('backdel','admin/Purchback/delete');

Route::rule('aftercreate','admin/After/create');
Route::rule('afterinfo','admin/After/info');
Route::rule('afterlist','admin/After/list');
Route::rule('afterstatus','admin/After/status');
Route::rule('afterfeed','admin/After/postfeed');
Route::rule('afterpost','admin/After/addpost');
Route::rule('aftergys','admin/After/GysFeed');
Route::rule('afterwsm','admin/After/GetWsm');

Route::rule('processolist','admin/Proorder/list');
Route::rule('processowaitlist','admin/Proorder/waitlist');
Route::rule('processoall','admin/Proorder/all');

Route::rule('orderbacklist','admin/Orderback/list');
Route::rule('orderbackinfo','admin/Orderback/info');
Route::rule('orderbackcheck','admin/Orderback/check');
Route::rule('orderbce','admin/Orderback/CheckExam');
Route::rule('orderbackexam','admin/Orderback/Exam');

Route::rule('goldlist','admin/Gold/list');
Route::rule('goldadd','admin/Gold/add');
Route::rule('gold','admin/Gold/GetByType');

Route::rule('reorderlist','admin/Reorder/list');
Route::rule('reordercreate','admin/Reorder/create');
Route::rule('reorderinfo','admin/Reorder/info');
Route::rule('reorderdel','admin/Reorder/delete');
Route::rule('reorderexam','admin/Reorder/exam');
Route::rule('reorderzx','admin/Reorder/zxcreate');

Route::rule('salezxcreate','admin/Salezx/create');
Route::rule('salezxedit','admin/Salezx/edit');
Route::rule('salezxout','admin/Salezx/out');
Route::rule('salezxaddr','admin/Salezx/outaddr');

Route::rule('saledifflist','admin/Sale/difflist');
Route::rule('salediffcheck','admin/Sale/diffcheck');
Route::rule('salediffinfo','admin/Sale/diffinfo');
Route::rule('salediffstatus','admin/Sale/diffstatus');

Route::rule('msglist','admin/Log/msglist');
Route::rule('msginfo','admin/Log/update');
Route::rule('msgallread','admin/Log/allread');
Route::rule('msglimitread','admin/Log/limit');

Route::rule('attrcreate','admin/Attr/create');
Route::rule('attrlist','admin/Attr/list');
Route::rule('attrstatus','admin/Attr/status');
Route::rule('attredit','admin/Attr/edit');
Route::rule('attrdelete','admin/Attr/del');


Route::rule('specscreate','admin/Specs/create');
Route::rule('specslist','admin/Specs/list');
Route::rule('specsstatus','admin/Specs/status');
Route::rule('specstitle','admin/Specs/title');
Route::rule('specsedit','admin/Specs/edit');
Route::rule('specsdelete','admin/Specs/del');


Route::rule('brandcreate','admin/Brand/create');
Route::rule('brandlist','admin/Brand/list');
Route::rule('brandedit','admin/Brand/edit');
Route::rule('brandstatus','admin/Brand/status');
Route::rule('branddel','admin/Brand/del');
Route::rule('brandinfo','admin/Brand/info');

Route::rule('desccreate','admin/Catdesc/create');
Route::rule('desclist','admin/Catdesc/list');
Route::rule('descstatus','admin/Catdesc/status');
Route::rule('descedit','admin/Catdesc/edit');
Route::rule('descdelete','admin/Catdesc/del');

Route::rule('goldpricecreate','admin/Goldprice/create');
Route::rule('goldpricelist','admin/Goldprice/list');
Route::rule('goldpricedelect','admin/Goldprice/del');
Route::rule('goldpricestatus','admin/Goldprice/status');
Route::rule('goldlinst','admin/Goldprice/linst');
Route::rule('goldratelist','admin/Goldprice/ratelist');
Route::rule('golpricelast','admin/Goldprice/lastlist');
Route::rule('golpriceedit','admin/Goldprice/edit');

Route::rule('customarcreate','admin/Customar/create');
Route::rule('customarlist','admin/Customar/list');
Route::rule('customaredit','admin/Customar/edit');
Route::rule('customarinfo','admin/Customar/info');
Route::rule('customardelete','admin/Customar/del');
Route::rule('customarstatus','admin/Customar/status');

Route::rule('businesscreate','admin/Business/create');
Route::rule('businesslist','admin/Business/list');
Route::rule('businessedit','admin/Business/edit');
Route::rule('businessdel','admin/Business/del');
Route::rule('businessstatus','admin/Business/status');
Route::rule('businesssinfo','admin/Business/info');
Route::rule('businesstitle','admin/Business/title');

Route::rule('gooduplist','admin/Goodup/list');

Route::rule('unitcreate','admin/Unit/create');
Route::rule('unitlist','admin/Unit/list');
Route::rule('unitedit','admin/Unit/edit');
Route::rule('unitdelete','admin/Unit/del');
Route::rule('unitstatus','admin/Unit/status');

Route::rule('goodupcreate','admin/Goodup/create');
Route::rule('gooduplist','admin/Goodup/list');
Route::rule('goodupeditinfo','admin/Goodup/editinfo');
Route::rule('goodupinfo','admin/Goodup/info');
Route::rule('goodupeditfee','admin/Goodup/editfee');
Route::rule('goodupdelall','admin/Goodup/delall');
Route::rule('gooduponline','admin/Goodup/online');
Route::rule('goodupexam','admin/Goodup/online_exam');
Route::rule('goodupeditladder','admin/Goodup/editladder');
Route::rule('goodexam','admin/Goodup/exam');
Route::rule('goodinfo','admin/Good/info');

Route::rule('goodproof','admin/Goodup/prooflist');

Route::rule('activitylist','admin/Activity/list');
Route::rule('activitylinst','admin/Activity/linst');
Route::rule("zixunlist",'admin/Activity/zilist');

Route::rule("platformcreate",'admin/Platform/create');
Route::rule('platformlist','admin/Platform/list');
Route::rule('platformedit','admin/Platform/edit');
Route::rule('platforminfo','admin/Platform/info');
Route::rule('platformdelete','admin/Platform/del');
Route::rule('platformstatus','admin/Platform/status');


Route::rule('actcreate','admin/Activity/create');
Route::rule('actcost','admin/Activity/cost');
Route::rule('activity','admin/Activity/activity');
Route::rule('actexam','admin/Activity/exam');
Route::rule('actinfo','admin/Activity/info');
Route::rule('actstatus','admin/Activity/actstatus');

Route::rule('keepbcreate','admin/Keepbrand/create');
Route::rule('keepblist','admin/Keepbrand/list');
Route::rule('keepbinfo','admin/Keepbrand/info');
Route::rule('keepbedit','admin/Keepbrand/edit');
Route::rule('keepbstatus','admin/Keepbrand/status');
Route::rule('keepbdelete','admin/Keepbrand/del');

Route::rule('valuecreate','admin/Specvalue/create');
Route::rule('valueall','admin/Specvalue/all');


Route::rule('titlecreate','admin/Title/create');
Route::rule('titlelist','admin/Title/list');
Route::rule('titleedit','admin/Title/edit');
Route::rule('titleinfo','admin/Title/info');
Route::rule('titledelete','admin/Title/del');
Route::rule('titlestatus','admin/Title/status');


Route::rule('ocrquery','admin/Ocrlicense/query');


//Route::rule('consultlist','admin/Consult/conlist');
Route::rule('consultlists','admin/Consult/conlist');
Route::rule('consultinfo','admin/Consult/info');
Route::rule('consultdel','admin/Consult/del');
Route::rule('consultcreate','admin/Consult/create');
Route::rule('consultzxadd','admin/Consult/zxadd');
Route::rule('consultzxinfo','admin/Consult/zxinfo');
Route::rule('consultbar','admin/Consult/bargain');
Route::rule('consultfeed','admin/Consult/feadback');
Route::rule('consultfeadinfo','admin/Consult/feadinfo');
Route::rule('consultbaradd','admin/Consult/bargain_add');
Route::rule('consultbidlist','admin/Consult/bidlist');
Route::rule('consultfeededit','admin/Consult/feededit');
Route::rule('consultfeedlist','admin/Consult/feedlist');
Route::rule('bragainstatus','admin/Consult/bargain_status');
Route::rule('bragaininfo','admin/Consult/bargain_info');

Route::rule('supplercreate','admin/Suppler/create');
Route::rule('supplerlist','admin/Suppler/list');
Route::rule('suppleredit','admin/Suppler/edit');
Route::rule('supplerinfo','admin/Suppler/info');
Route::rule('supplerstatus','admin/Suppler/status');
Route::rule('supplerdelete','admin/Suppler/del');


Route::rule("projectcreate","admin/Project/create");
Route::rule("projectlist","admin/Project/list");
Route::rule("projectinfo","admin/Project/info");
Route::rule("projectaddfed","admin/Project/addfeed");
Route::rule("projectfeedlist","admin/Project/feedlist");
Route::rule("plancreate","admin/Project/plan_create");
Route::rule("planinfo","admin/Project/planinfo");
Route::rule("projectplan","admin/Project/project_plan");
Route::rule("projectfeeddheck","admin/Project/feedCheck");
Route::rule("plandheck","admin/Project/planCheck");
Route::rule("projectrate","admin/Project/changeRate");

